cURL
curl https://api.aiql.io/sources/ing_9d2c/chunks \
-H "Authorization: Bearer $AIQL_API_KEY" \
-H "AiQL-Workspace: $AIQL_WORKSPACE_ID"import os
from aiql import AiQL
client = AiQL(api_key=os.environ["AIQL_API_KEY"])
chunks = client.sources.chunks("ing_9d2c", workspace_id="ws_3a1b")import { AiQL } from "@aiql.io/sdk";
const client = new AiQL({ apiKey: process.env.AIQL_API_KEY });
const chunks = await client.sources.chunks("ing_9d2c", { workspaceId: "ws_3a1b" });{
"data": [
{
"id": "<string>",
"number": 123,
"content": "<string>",
"pages": [
{
"id": "<string>",
"number": 123
}
]
}
],
"next_cursor": "<string>",
"has_more": false
}{
"detail": "<string>"
}{
"detail": [
{
"loc": [
"<string>"
],
"msg": "<string>",
"type": "<string>",
"input": "<unknown>",
"ctx": {}
}
]
}Sources
Get Source Chunks
GET
/
sources
/
{id}
/
chunks
cURL
curl https://api.aiql.io/sources/ing_9d2c/chunks \
-H "Authorization: Bearer $AIQL_API_KEY" \
-H "AiQL-Workspace: $AIQL_WORKSPACE_ID"import os
from aiql import AiQL
client = AiQL(api_key=os.environ["AIQL_API_KEY"])
chunks = client.sources.chunks("ing_9d2c", workspace_id="ws_3a1b")import { AiQL } from "@aiql.io/sdk";
const client = new AiQL({ apiKey: process.env.AIQL_API_KEY });
const chunks = await client.sources.chunks("ing_9d2c", { workspaceId: "ws_3a1b" });{
"data": [
{
"id": "<string>",
"number": 123,
"content": "<string>",
"pages": [
{
"id": "<string>",
"number": 123
}
]
}
],
"next_cursor": "<string>",
"has_more": false
}{
"detail": "<string>"
}{
"detail": [
{
"loc": [
"<string>"
],
"msg": "<string>",
"type": "<string>",
"input": "<unknown>",
"ctx": {}
}
]
}Authorizations
API key or UI session JWT passed as a Bearer token.
Headers
ID of the workspace the request operates on.
Path Parameters
Query Parameters
Maximum number of items to return per page.
Required range:
1 <= x <= 100Opaque cursor pointing to the page to fetch. Omit to start from the first page.